Obligement - L'Amiga au maximum

Jeudi 29 juin 2017 - 16:22  

Translate

En De Nl Nl
Es Pt It Nl


Rubriques

 · Accueil
 · A Propos
 · Articles
 · Galeries
 · Glossaire
 · Hit Parade
 · Liens
 · Liste jeux Amiga
 · Quizz
 · Téléchargements
 · Trucs et astuces


Articles

 · Actualité (récente)
 · Actualité (archive)
 · Comparatifs
 · Dossiers
 · Entrevues
 · Matériel (tests)
 · Matériel (bidouilles)
 · Points de vue
 · En pratique
 · Programmation
 · Reportages
 · Tests de jeux
 · Tests de logiciels
 · Tests de compilations
 · Articles divers

 · Articles in english
 · Articles in other languages


Twitter

Suivez-nous sur Twitter




Liens

 · Sites de téléchargements
 · Associations
 · Pages Personnelles
 · Moteurs de recherche
 · Pages de liens
 · Constructeurs matériels
 · Matériel
 · Autres sites de matériel
 · Réparateurs
 · Revendeurs
 · Presse et médias
 · Programmation
 · Développeurs logiciels
 · Logiciels
 · Développeurs de jeux
 · Jeux
 · Autres sites de jeux
 · Scène démo
 · Divers
 · Informatique générale


Jeux Amiga

0, A, B, C, D, E, F,
G, H, I, J, K, L, M,
N, O, P, Q, R, S, T,
U, V, W, X, Y, Z


Trucs et astuces

0, A, B, C, D, E, F,
G, H, I, J, K, L, M,
N, O, P, Q, R, S, T,
U, V, W, X, Y, Z


Glossaire

0, A, B, C, D, E, F,
G, H, I, J, K, L, M,
N, O, P, Q, R, S, T,
U, V, W, X, Y, Z


Partenaires

Annuaire Amiga

Amedia Computer

Relec

Hit Parade


Soutien

N'hésitez pas à soutenir le projet Obligement



Contact

David Brunet

Courriel

 


En Pratique : Installation de Cubic IDE sur AmigaOS 4.x
(Article écrit par Guillaume Wante - octobre 2010)


Pourquoi ?

Lors de la sortie de Cubic IDE, Hyperion a refusé que l'auteur diffuse son SDK avec son interface de programmation. Cependant, les premiers SDK (51.22) d'AmigaOS 4 pouvaient être installés et incorporés dans Cubic IDE presque automatiquement. Maintenant qu'AmigaOS 4.x a évolué et que son SDK l'a suivi, il n'est plus aussi facile à installer. J'ai donc réalisé ce tutoriel pour aider les personnes désirant s'atteler à cette tâche et leur éviter ainsi l'ensemble du travail que cela m'a nécessité.

Installation de Cubic IDE

Pour cela, il vous faut deux choses :
  • Le CD de Cubic IDE.
  • Le SDK d'AmigaOS 4.x en version 51.22.
En effet, je n'ai pas trouvé d'autres moyens d'installer Cubic IDE sans avoir le SDK 51.22 car ce logiciel recherche la présence et l'arborescence propre des fichiers du SDK 51.22.

Le problème le plus gros est là, en effet, puisque ce SDK n'est plus disponible auprès d'Hyperion, il ne vous reste plus, comme je l'ai fait, à trouver une âme charitable qui l'ait conservé et qui peut vous le fournir.

Une fois ces deux prérequis en votre possession, il vous faut copier l'ensemble du CD de Cubic IDE sur votre disque dur et désarchiver (pas installer) le SDK dans le répertoire "contributions/OS4-SDK" de Cubic IDE.

Normalement, un répertoire "SDK-INSTALL" se crée avec l'ensemble des archives. Ensuite, il vous suffit de démarrer le programme "Setup" de Cubic IDE que vous avez transféré sur le disque dur et de suivre les instructions.

Redémarrez votre Amiga pour que les assignations prennent effet.

Mise à jour de Cubic IDE avec le dernier SDK

Téléchargez sur le site de Hyperion le dernier SDK. A l'heure où j'écris cet article, c'est le 53.20.

Créez un répertoire "amigaos4" dans "DEVKITS:sdk/", puis un répertoire "53.20" dans "DEVKITS:sdk/amigaos4/".

Désarchivez le SDK 53.20 par exemple en "RAM:" et exécutez le fichier "INSTALL SDK". Désélectionnez le gadget "Create drawer "SDK" in destination drawer" et dans "INSTALL PATH" choisissez "DEVKITS:sdk/amigaos4/53.20".

Cubic IDE

Ouvrez ensuite, avec par exemple Notepad, le fichier S:user-startup et vérifiez que les lignes de l'image ci-dessous s'y trouvent :

Cubic IDE

Ouvrez ensuite, toujours avec Notepad, le fichier "DEVKITS:SDK/amigaos4/53.20/S/SDK-STARTUP" et mettez en commentaire (c'est-à-dire ajoutez un point virgule devant) les lignes montrées ci-dessous, puis sauvegardez le fichier.

Cubic IDE

Ouvrez ensuite, toujours avec Notepad, le fichier "DEVKITS:Scripts/user-startup" et remplacez les "51.22" dans les lignes montrées ci-dessous par "53.20".

Cubic IDE

Créez un répertoire "4.2.4" à l'emplacement "devkits:compilers/gcc/amigaos4/".

Cubic IDE

Copiez l'ensemble des fichiers présents dans "devkits:sdk/amigaos4/53.15/gcc" dans le répertoire "devkits:compilers/gcc/amigaos4/4.2.4".

Cubic IDE

Ouvrez ensuite avec Notepad le fichier "devkits:devkits.config" et recherchez la section intitulée "gcc for amigaos4/ppc". Procédez au changement dans le fichier comme vous le montre l'image ci-dessous. Puis sauvez le fichier.

Cubic IDE

Redémarrez votre Amiga NG.

Vous avez enfin accès à Cubic IDE sous AmigaOS 4.x avec le dernier SDK.

Conclusion

Là encore, on voit qu'un désaccord entre deux parties du monde Amiga est nuisible à l'ensemble de la communauté. Pour les puristes, vous pourrez aussi changer les menus de Cubic IDE pour avoir "Target: amigaos4 (gcc 4.2.4)" à la place de "Target: amigaos4 (gcc 4.0.4)" mais ceci n'a aucun impact sur le bon fonctionnement de Cubic IDE.


[Retour en haut] / [Retour aux articles]